diff --git a/typo3/file_edit.php b/typo3/file_edit.php
index fe8787a..f1c1f0b 100644
--- typo3/file_edit.php
+++ typo3/file_edit.php
@@ -230,16 +230,16 @@ class SC_file_edit {
 		$buttons['csh'] = t3lib_BEfunc::cshItem('xMOD_csh_corebe', 'file_edit', $GLOBALS['BACK_PATH'], '', TRUE);
 
 			// Save button
-		$theIcon = '<img'.t3lib_iconWorks::skinImg($this->backPath,'gfx/savedok.gif','width="18" height="16"').' title="'.$GLOBALS['LANG']->makeEntities($GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:file_edit.php.submit',1)).'" alt="" />';
-		$buttons['SAVE'] = '<a href="#" onclick="document.editform.submit();">'.$theIcon.'</a>';
+		$theIcon = t3lib_iconWorks::getSpriteIcon('actions-document-save');
+		$buttons['SAVE'] = '<a href="#" onclick="document.editform.submit();" title="'.$GLOBALS['LANG']->makeEntities($GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:file_edit.php.submit',1)).'">'.$theIcon.'</a>';
 
 			// Save and Close button
-		$theIcon = '<img'.t3lib_iconWorks::skinImg($this->backPath,'gfx/saveandclosedok.gif','width="18" height="16"').' title="'.$GLOBALS['LANG']->makeEntities($GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:file_edit.php.saveAndClose',1)).'" alt="" />';
-		$buttons['SAVE_CLOSE'] = '<a href="#" onclick="document.editform.redirect.value=\''.htmlspecialchars($this->returnUrl).'\'; document.editform.submit();">'.$theIcon.'</a>';
+		$theIcon = t3lib_iconWorks::getSpriteIcon('actions-document-save-close');
+		$buttons['SAVE_CLOSE'] = '<a href="#" onclick="document.editform.redirect.value=\''.htmlspecialchars($this->returnUrl).'\'; document.editform.submit();" title="'.$GLOBALS['LANG']->makeEntities($GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:file_edit.php.saveAndClose',1)).'">'.$theIcon.'</a>';
 
 			// Cancel button
-		$theIcon = '<img'.t3lib_iconWorks::skinImg($this->backPath,'gfx/closedok.gif','width="18" height="16"').' title="'.$GLOBALS['LANG']->makeEntities($GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:labels.cancel',1)).'" alt="" />';
-		$buttons['CANCEL'] = '<a href="#" onclick="backToList(); return false;">'.$theIcon.'</a>';
+		$theIcon = t3lib_iconWorks::getSpriteIcon('actions-document-close');
+		$buttons['CANCEL'] = '<a href="#" onclick="backToList(); return false;" title="'.$GLOBALS['LANG']->makeEntities($GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:labels.cancel',1)).'">'.$theIcon.'</a>';
 
 		return $buttons;
 	}
diff --git a/typo3/file_list.php b/typo3/file_list.php
index 04c427f..8c192c8 100644
--- typo3/file_list.php
+++ typo3/file_list.php
@@ -412,11 +412,13 @@ class SC_file_list {
 		$buttons['csh'] = t3lib_BEfunc::cshItem('xMOD_csh_corebe', 'filelist_module', $GLOBALS['BACK_PATH'], '', TRUE);
 
 			// upload button
-		$theIcon = '<img'.t3lib_iconWorks::skinImg($this->backPath,'gfx/upload.gif','width="18" height="16"').' title="'.$GLOBALS['LANG']->makeEntities($GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.xml:cm.upload',1)).'" alt="'.$GLOBALS['LANG']->makeEntities($GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.xml:cm.upload',1)).'" />';
-		$buttons['upload'] = '<a href="' . $BACK_PATH . 'file_upload.php?target=' . rawurlencode($this->id) . '&amp;returnUrl=' . rawurlencode($this->filelist->listURL()) . '" id="button-upload">' . $theIcon . '</a>';
+		$buttons['upload'] = '<a href="' . $BACK_PATH . 'file_upload.php?target=' . rawurlencode($this->id) . '&amp;returnUrl=' . rawurlencode($this->filelist->listURL()) . '" id="button-upload" title="'.$GLOBALS['LANG']->makeEntities($GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.xml:cm.upload',1)).'">' . 
+			t3lib_iconWorks::getSpriteIcon('actions-edit-upload') .
+		'</a>';
 
-		$theIcon = '<img'.t3lib_iconWorks::skinImg($this->backPath,'gfx/new_file.gif','width="18" height="16"').' title="'.$GLOBALS['LANG']->makeEntities($GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.xml:cm.new',1)).'" alt="'.$GLOBALS['LANG']->makeEntities($GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.xml:cm.new',1)).'" />';
-		$buttons['new'] = '<a href="' . $BACK_PATH . 'file_newfolder.php?target=' . rawurlencode($this->id) . '&amp;returnUrl=' . rawurlencode($this->filelist->listURL()) . '">' . $theIcon . '</a>';
+		$buttons['new'] = '<a href="' . $BACK_PATH . 'file_newfolder.php?target=' . rawurlencode($this->id) . '&amp;returnUrl=' . rawurlencode($this->filelist->listURL()) . '" title="'.$GLOBALS['LANG']->makeEntities($GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.xml:cm.new',1)).'">' . 
+			t3lib_iconWorks::getSpriteIcon('actions-document-new') .
+		'</a>';
 
 		return $buttons;
 	}
diff --git a/typo3/mod/tools/em/class.em_index.php b/typo3/mod/tools/em/class.em_index.php
index ede6314..1a842c3 100644
--- typo3/mod/tools/em/class.em_index.php
+++ typo3/mod/tools/em/class.em_index.php
@@ -710,7 +710,9 @@ class SC_mod_tools_em_index extends t3lib_SCbase {
 		}
 			// Back
 		if(($this->CMD['showExt'] && (!$this->CMD['standAlone'] && !t3lib_div::_GP('standAlone'))) || ($this->CMD['importExt'] || $this->CMD['uploadExt'] && (!$this->CMD['standAlone'])) || $this->CMD['importExtInfo']) {
-			$buttons['back'] = '<a href="index.php" class="typo3-goBack"><img' . t3lib_iconWorks::skinImg($this->doc->backPath, 'gfx/goback.gif') . ' title="' . $GLOBALS['LANG']->getLL('go_back') . '" class="absmiddle" alt="" /></a>';
+			$buttons['back'] = '<a href="index.php" class="typo3-goBack" title="' . $GLOBALS['LANG']->getLL('go_back') . '">' .
+				t3lib_iconWorks::getSpriteIcon('actions-view-go-back') .
+			'</a>';
 		}
 
 		return $buttons;
@@ -766,7 +768,7 @@ class SC_mod_tools_em_index extends t3lib_SCbase {
 				}
 				if(count($extensions)) {
 					$lines[]='<tr><td colspan="'.(3+$this->detailCols[$this->MOD_SETTINGS['display_details']]).'"><br /></td></tr>';
-					$lines[]='<tr><td colspan="'.(3+$this->detailCols[$this->MOD_SETTINGS['display_details']]).'"><img '.t3lib_iconWorks::skinImg($GLOBALS['BACK_PATH'],'gfx/i/sysf.gif', 'width="18" height="16"').' align="top" alt="" /><strong>'.htmlspecialchars($this->listOrderTitle($this->MOD_SETTINGS['listOrder'],$catName)).'</strong></td></tr>';
+					$lines[]='<tr><td colspan="'.(3+$this->detailCols[$this->MOD_SETTINGS['display_details']]).'">' . t3lib_iconWorks::getSpriteIcon('apps-filetree-folder-default') . '<strong>'.htmlspecialchars($this->listOrderTitle($this->MOD_SETTINGS['listOrder'],$catName)).'</strong></td></tr>';
 					$lines[] = implode(chr(10),$extensions);
 				}
 			}
@@ -827,7 +829,7 @@ class SC_mod_tools_em_index extends t3lib_SCbase {
 				}
 				if(count($extensions)) {
 					$lines[]='<tr><td colspan="'.(3+$this->detailCols[$this->MOD_SETTINGS['display_details']]).'"><br /></td></tr>';
-					$lines[]='<tr><td colspan="'.(3+$this->detailCols[$this->MOD_SETTINGS['display_details']]).'"><img '.t3lib_iconWorks::skinImg($GLOBALS['BACK_PATH'],'gfx/i/sysf.gif', 'width="18" height="16"').'align="top" alt="" /><strong>'.htmlspecialchars($this->listOrderTitle($this->MOD_SETTINGS['listOrder'],$catName)).'</strong></td></tr>';
+					$lines[]='<tr><td colspan="'.(3+$this->detailCols[$this->MOD_SETTINGS['display_details']]).'">' . t3lib_iconWorks::getSpriteIcon('apps-filetree-folder-default') . '<strong>'.htmlspecialchars($this->listOrderTitle($this->MOD_SETTINGS['listOrder'],$catName)).'</strong></td></tr>';
 					$lines[] = implode(chr(10),$extensions);
 				}
 			}
@@ -902,7 +904,7 @@ EXTENSION KEYS:
 					foreach($cat[$this->MOD_SETTINGS['listOrder']] as $catName => $extEkeys)	{
 						if (count($extEkeys))	{
 							$lines[]='<tr><td colspan="'.(3+$this->detailCols[$this->MOD_SETTINGS['display_details']]).'"><br /></td></tr>';
-							$lines[]='<tr><td colspan="'.(3+$this->detailCols[$this->MOD_SETTINGS['display_details']]).'"><img '.t3lib_iconWorks::skinImg($GLOBALS['BACK_PATH'],'gfx/i/sysf.gif', 'width="18" height="16"').'align="top" alt="" /><strong>'.htmlspecialchars($this->listOrderTitle($this->MOD_SETTINGS['listOrder'],$catName)).'</strong></td></tr>';
+							$lines[]='<tr><td colspan="'.(3+$this->detailCols[$this->MOD_SETTINGS['display_details']]).'">' . t3lib_iconWorks::getSpriteIcon('apps-filetree-folder-default') . '<strong>'.htmlspecialchars($this->listOrderTitle($this->MOD_SETTINGS['listOrder'],$catName)).'</strong></td></tr>';
 
 							natcasesort($extEkeys);
 							reset($extEkeys);
@@ -919,15 +921,17 @@ EXTENSION KEYS:
 										if ($inst_list[$extKey]['EM_CONF']['state'] != 'excludeFromUpdates') {
 											$loc= ($inst_list[$extKey]['type']=='G'?'G':'L');
 											$aUrl = 'index.php?CMD[importExt]='.$extKey.'&CMD[extVersion]='.$version.'&CMD[loc]='.$loc;
-											$loadUnloadLink .= '<a href="' . htmlspecialchars($aUrl) . '"><img src="' . $GLOBALS['BACK_PATH'] . 'gfx/import_update.gif" width="12" height="12" title="' . sprintf($GLOBALS['LANG']->getLL('do_update'), ($loc == 'G' ? $GLOBALS['LANG']->getLL('global') : $GLOBALS['LANG']->getLL('local'))) . '" alt="" /></a>';
+											$loadUnloadLink .= '<a href="' . htmlspecialchars($aUrl) . '" title="' . sprintf($GLOBALS['LANG']->getLL('do_update'), ($loc == 'G' ? $GLOBALS['LANG']->getLL('global') : $GLOBALS['LANG']->getLL('local'))) . '">' .
+												t3lib_iconWorks::getSpriteIcon('actions-system-extension-update') .
+											'</a>';
 										} else {
 												// extension is marked as "excludeFromUpdates"
-											$loadUnloadLink .= '<img src="' . $GLOBALS['BACK_PATH'] . 'gfx/icon_warning.gif" width="18" height="16" title="' . $GLOBALS['LANG']->getLL('excluded_from_updates') . '" alt="" />';
+											$loadUnloadLink .= t3lib_iconWorks::getSpriteIcon('status-dialog-warning', $GLOBALS['LANG']->getLL('excluded_from_updates') );
 										}
 									} else {
 											// import
 										$aUrl = 'index.php?CMD[importExt]='.$extKey.'&CMD[extVersion]='.$version.'&CMD[loc]=L';
-										$loadUnloadLink .= '<a href="' . htmlspecialchars($aUrl) . '"><img src="' . $GLOBALS['BACK_PATH'] . 'gfx/import.gif" width="12" height="12" title="' . $GLOBALS['LANG']->getLL('import_to_local_dir') . '" alt="" /></a>';
+										$loadUnloadLink .= '<a href="' . htmlspecialchars($aUrl) . '" title="' . $GLOBALS['LANG']->getLL('import_to_local_dir') . '">' . t3lib_iconWorks::getSpriteIcon('actions-system-extension-import') . '</a>';
 									}
 								} else {
 									$loadUnloadLink = '&nbsp;';
@@ -3487,15 +3491,16 @@ EXTENSION KEYS:
 			$cells[] = '<td nowrap="nowrap">'.($verDiff ? '<strong>'.$GLOBALS['TBE_TEMPLATE']->rfw(htmlspecialchars($extInfo['EM_CONF']['version'])).'</strong>' : $extInfo['EM_CONF']['version']).'</td>';
 			if (!$import) {		// Listing extension on LOCAL server:
 					// Extension Download:
-				$cells[] = '<td nowrap="nowrap"><a href="' . htmlspecialchars('index.php?CMD[doBackup]=1&SET[singleDetails]=backup&CMD[showExt]=' . $extKey) . '">
-					<img src="download.png" width="13" height="12" title="' . $GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_common.xml:download') . '" alt="" /></a></td>';
+				$cells[] = '<td nowrap="nowrap"><a href="' . htmlspecialchars('index.php?CMD[doBackup]=1&SET[singleDetails]=backup&CMD[showExt]=' . $extKey) . '" title="' . $GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_common.xml:download') . '">' .
+						t3lib_iconWorks::getSpriteIcon('actions-system-extension-download') .
+					'</a></td>';
 
 					// Manual download
 				$fileP = PATH_site.$this->typePaths[$extInfo['type']].$extKey.'/doc/manual.sxw';
 				$cells[] = '<td nowrap="nowrap">'.
 				($this->typePaths[$extInfo['type']] && @is_file($fileP) ?
-					'<a href="' . htmlspecialchars(t3lib_div::resolveBackPath($this->doc->backPath . '../' . $this->typePaths[$extInfo['type']] . $extKey . '/doc/manual.sxw')).'" target="_blank">
-					<img src="oodoc.gif" width="13" height="16" title="' . $GLOBALS['LANG']->getLL('listRow_local_manual') . '" alt="" /></a>' : '').
+					'<a href="' . htmlspecialchars(t3lib_div::resolveBackPath($this->doc->backPath . '../' . $this->typePaths[$extInfo['type']] . $extKey . '/doc/manual.sxw')).'" target="_blank" title="' . $GLOBALS['LANG']->getLL('listRow_local_manual') . '">' .
+					t3lib_iconWorks::getSpriteIcon('actions-system-extension-documentation') . '</a>' : '') .
 				'</td>';
 
 					// Double installation (inclusion of an extension in more than one of system, global or local scopes)
@@ -3635,8 +3640,7 @@ EXTENSION KEYS:
 	 * @return	string		<img> tag
 	 */
 	function removeButton()	{
-		return '<img src="uninstall.gif" width="16" height="16" title="' .
-			$GLOBALS['LANG']->getLL('ext_details_remove_ext') . '" align="top" alt="" />';
+		return t3lib_iconWorks::getSpriteIcon('actions-system-extension-uninstall', $GLOBALS['LANG']->getLL('ext_details_remove_ext'));
 	}
 
 	/**
@@ -3645,8 +3649,7 @@ EXTENSION KEYS:
 	 * @return	string		<img> tag
 	 */
 	function installButton()	{
-		return '<img src="install.gif" width="16" height="16" title="' .
-			$GLOBALS['LANG']->getLL('helperFunction_install_extension') . '" align="top" alt="" />';
+		return t3lib_iconWorks::getSpriteIcon('actions-system-extension-install', $GLOBALS['LANG']->getLL('helperFunction_install_extension'));
 	}
 
 	/**
@@ -3655,8 +3658,8 @@ EXTENSION KEYS:
 	 * @return	string		<img> + text string.
 	 */
 	function noImportMsg()	{
-		return '<img src="' . $this->doc->backPath . 'gfx/icon_warning2.gif" width="18" height="16" align="top" alt="" />
-			<strong>' . $GLOBALS['LANG']->getLL('helperFunction_import_not_possible') . '</strong>';
+		return t3lib_iconWorks::getSpriteIcon('status-dialog-warning') . 
+			'<strong>' . $GLOBALS['LANG']->getLL('helperFunction_import_not_possible') . '</strong>';
 	}
 
 	/**
@@ -4986,8 +4989,7 @@ $EM_CONF[$_EXTKEY] = '.$this->arrayToCode($EM_CONF, 0).';
 					if(!isset($instExtInfo[$depK]))	{
 						$msg[] = '<br />' . sprintf($GLOBALS['LANG']->getLL('checkDependencies_ext_not_available'),
 							$depK);
-						$msg[] = '&nbsp;&nbsp;&nbsp;&nbsp;<img src="' . $GLOBALS['BACK_PATH'] .
-							'gfx/import.gif" width="12" height="12" title="' . $GLOBALS['LANG']->getLL('checkDependencies_import_ext') . '" alt="" />&nbsp;
+						$msg[] = '&nbsp;&nbsp;&nbsp;&nbsp;' . t3lib_iconWorks::getSpriteIcon('actions-system-extension-import', $GLOBALS['LANG']->getLL('checkDependencies_import_ext')) . '&nbsp;
 							<a href="index.php?CMD[importExt]=' . $depK . '&CMD[loc]=L&CMD[standAlone]=1" target="_blank">' . $GLOBALS['LANG']->getLL('checkDependencies_import_now') . '</a>';
 						$msg[] = '&nbsp;&nbsp;&nbsp;&nbsp;<input type="checkbox" value="1" name="depsolver[ignore][' . $depK . ']" id="checkIgnore_' . $depK . '" />
 							<label for="checkIgnore_' . $depK . '">' . $GLOBALS['LANG']->getLL('checkDependencies_ignore_ext_requirement') . '</label>';
@@ -5084,8 +5086,7 @@ $EM_CONF[$_EXTKEY] = '.$this->arrayToCode($EM_CONF, 0).';
 					if (!isset($instExtInfo[$suggestK]))	{
 						$msg[] = sprintf($GLOBALS['LANG']->getLL('checkDependencies_suggest_import'),
 							$suggestK);
-						$msg[] = '&nbsp;&nbsp;&nbsp;&nbsp;<img src="' . $GLOBALS['BACK_PATH'] .
-							'gfx/import.gif" width="12" height="12" title="' . $GLOBALS['LANG']->getLL('checkDependencies_import_ext') . '" alt="" />&nbsp;
+						$msg[] = '&nbsp;&nbsp;&nbsp;&nbsp;' . t3lib_iconWorks::getSpriteIcon('actions-system-extension-import', $GLOBALS['LANG']->getLL('checkDependencies_import_ext') ) . '&nbsp;
 							<a href="index.php?CMD[importExt]=' . $suggestK . '&CMD[loc]=L&CMD[standAlone]=1" target="_blank">' . $GLOBALS['LANG']->getLL('checkDependencies_import_now') . '</a>';
 						$msg[] = '&nbsp;&nbsp;&nbsp;&nbsp;<input type="checkbox" value="1" name="depsolver[ignore][' . $suggestK . ']" id="checkIgnore_' . $suggestK . '" />
 							<label for="checkIgnore_' . $suggestK . '">' . $GLOBALS['LANG']->getLL('checkDependencies_ignore_suggestion') . '</label>';
@@ -5446,8 +5447,7 @@ $EM_CONF[$_EXTKEY] = '.$this->arrayToCode($EM_CONF, 0).';
 							<td><img src="clear.gif" width="10" height="1" alt="" /></td>
 							<td nowrap="nowrap">' .
 								($exist ?
-									'<img src="' . $GLOBALS['BACK_PATH'] .
-									'gfx/icon_warning.gif" width="18" height="16" align="top" alt="" />' .
+									t3lib_iconWorks::getSpriteIcon('status-dialog-warning') . 
 									$GLOBALS['LANG']->getLL('checkDBupdates_table_exists')
 									: '') .
 							'</td>
diff --git a/typo3/mod/user/ws/class.wslib_gui.php b/typo3/mod/user/ws/class.wslib_gui.php
index f5c29b2..038bb78 100644
--- typo3/mod/user/ws/class.wslib_gui.php
+++ typo3/mod/user/ws/class.wslib_gui.php
@@ -873,8 +873,8 @@ class wslib_gui {
 				'<a href="'.htmlspecialchars($this->doc->issueCommand(
 				'&cmd['.$table.']['.$rec_on['uid'].'][version][action]=swap'.
 				'&cmd['.$table.']['.$rec_on['uid'].'][version][swapWith]='.$rec_off['uid']
-				)).'">'.
-				'<img'.t3lib_iconWorks::skinImg($this->doc->backPath,'gfx/insert1.gif','width="14" height="14"').' alt="" align="top" title="' . $LANG->getLL('img_title_publish') . '" />'.
+				)).' " title="' . $LANG->getLL('img_title_publish') . '">'.
+				  t3lib_iconWorks::getSpriteIcon('apps-version-swap-versions') . 
 				'</a>';
 			if ($GLOBALS['BE_USER']->workspaceSwapAccess())	{
 				$actionLinks.=
@@ -882,8 +882,8 @@ class wslib_gui {
 					'&cmd['.$table.']['.$rec_on['uid'].'][version][action]=swap'.
 					'&cmd['.$table.']['.$rec_on['uid'].'][version][swapWith]='.$rec_off['uid'].
 					'&cmd['.$table.']['.$rec_on['uid'].'][version][swapIntoWS]=1'
-								)).'">'.
-					'<img'.t3lib_iconWorks::skinImg($this->doc->backPath,'gfx/swap.png','width="14" height="14"').' alt="" align="top" title="' . $LANG->getLL('img_title_swap') . '" />'.
+								)).'" title="' . $LANG->getLL('img_title_swap') . '">'.
+					  t3lib_iconWorks::getSpriteIcon('apps-version-swap-workspace') . 
 					'</a>';
 			}
 		}
@@ -893,8 +893,8 @@ class wslib_gui {
 				// Release
 				$confirm = $LANG->JScharCode($LANG->getLL('remove_from_ws_confirmation'));
 				$actionLinks.=
-				'<a href="'.htmlspecialchars($this->doc->issueCommand('&cmd['.$table.']['.$rec_off['uid'].'][version][action]=clearWSID')).'" onclick="return confirm(' . $confirm . ');">'.
-				'<img'.t3lib_iconWorks::skinImg($this->doc->backPath,'gfx/group_clear.gif','width="14" height="14"').' alt="" align="top" title="' . $LANG->getLL('img_title_remove_from_ws') . '" />'.
+				'<a href="'.htmlspecialchars($this->doc->issueCommand('&cmd['.$table.']['.$rec_off['uid'].'][version][action]=clearWSID')).'" onclick="return confirm(' . $confirm . ');" title="' . $LANG->getLL('img_title_remove_from_ws') . '">'.
+				  t3lib_iconWorks::getSpriteIcon('apps-version-document-remove') . 
 				'</a>';
 			}
 
@@ -902,22 +902,22 @@ class wslib_gui {
 			if ($table==='pages' && $vType!=='element')	{
 				$tempUid = ($vType==='branch' || $GLOBALS['BE_USER']->workspace===0 ? $rec_off['uid'] : $rec_on['uid']);
 				$actionLinks.=
-					'<a href="#" onclick="top.loadEditId('.$tempUid.');top.goToModule(\''.$this->pageModule.'\'); return false;">'.
-					'<img'.t3lib_iconWorks::skinImg($this->doc->backPath,t3lib_extMgm::extRelPath('cms').'layout/layout.gif','width="14" height="12"').' title="' . $LANG->getLL('img_title_edit_page') . '" alt="" />'.
+					'<a href="#" onclick="top.loadEditId('.$tempUid.');top.goToModule(\''.$this->pageModule.'\'); return false;" title="' . $LANG->getLL('img_title_edit_page') . '">'.
+					  t3lib_iconWorks::getSpriteIcon('apps-version-page-open') . 
 					'</a>';
 			} else {
 				$params = '&edit['.$table.']['.$rec_off['uid'].']=edit';
 				$actionLinks.=
-					'<a href="#" onclick="'.htmlspecialchars(t3lib_BEfunc::editOnClick($params,$this->doc->backPath)).'">'.
-					'<img'.t3lib_iconWorks::skinImg($this->doc->backPath,'gfx/edit2.gif','width="12" height="12"').' title="' . $LANG->getLL('img_title_edit_element') . '" alt="" />'.
+					'<a href="#" onclick="'.htmlspecialchars(t3lib_BEfunc::editOnClick($params,$this->doc->backPath)).'" title="' . $LANG->getLL('img_title_edit_element') . '">'.
+					  t3lib_iconWorks::getSpriteIcon('actions-document-open') . 
 					'</a>';
 			}
 		}
 
 		// History/Log
 		$actionLinks.=
-			'<a href="'.htmlspecialchars($this->doc->backPath.'show_rechis.php?element='.rawurlencode($table.':'.$rec_off['uid']).'&returnUrl='.rawurlencode(t3lib_div::getIndpEnv('REQUEST_URI'))).'">'.
-			'<img'.t3lib_iconWorks::skinImg($this->doc->backPath,'gfx/history2.gif','width="13" height="12"').' title="' . $LANG->getLL('img_title_show_log') . '" alt="" />'.
+			'<a href="'.htmlspecialchars($this->doc->backPath.'show_rechis.php?element='.rawurlencode($table.':'.$rec_off['uid']).'&returnUrl='.rawurlencode(t3lib_div::getIndpEnv('REQUEST_URI'))).'" title="' . $LANG->getLL('img_title_show_log') . '">' . 
+			  t3lib_iconWorks::skinImg('actions-document-history-open') . 
 			'</a>';
 
 		// View
@@ -925,7 +925,7 @@ class wslib_gui {
 			$tempUid = ($vType==='branch' || $GLOBALS['BE_USER']->workspace===0 ? $rec_off['uid'] : $rec_on['uid']);
 			$actionLinks.=
 				'<a href="#" onclick="'.htmlspecialchars(t3lib_BEfunc::viewOnClick($tempUid,$this->doc->backPath,t3lib_BEfunc::BEgetRootLine($tempUid))).'">'.
-				'<img'.t3lib_iconWorks::skinImg($this->doc->backPath,'gfx/zoom.gif','width="12" height="12"').' title="" alt="" />'.
+				  t3lib_iconWorks::getSpriteIcon('actions-document-view') . 
 				'</a>';
 		}
 
@@ -1183,22 +1183,22 @@ class wslib_gui {
 				// Edit
 				if ($table==='pages')	{
 					$actionLinks.=
-						'<a href="#" onclick="top.loadEditId('.$uid.');top.goToModule(\''.$this->pageModule.'\'); return false;">'.
-						'<img'.t3lib_iconWorks::skinImg($this->doc->backPath,t3lib_extMgm::extRelPath('cms').'layout/layout.gif','width="14" height="12"').' title="' . $LANG->getLL('img_title_edit_page') . '" alt="" />'.
+						'<a href="#" onclick="top.loadEditId('.$uid.');top.goToModule(\''.$this->pageModule.'\'); return false;" title="' . $LANG->getLL('img_title_edit_page') . '">'.
+						  t3lib_iconWorks::getSpriteIcon('apps-version-page-open') . 
 						'</a>';
 				} else {
 					$params = '&edit['.$table.']['.$uid.']=edit';
 					$actionLinks.=
-						'<a href="#" onclick="'.htmlspecialchars(t3lib_BEfunc::editOnClick($params,$this->doc->backPath)).'">'.
-						'<img'.t3lib_iconWorks::skinImg($this->doc->backPath,'gfx/edit2.gif','width="12" height="12"').' title="' . $LANG->getLL('img_title_edit_element') . '" alt="" />'.
+						'<a href="#" onclick="'.htmlspecialchars(t3lib_BEfunc::editOnClick($params,$this->doc->backPath)).'" title="' . $LANG->getLL('img_title_edit_element') . '">'.
+						  t3lib_iconWorks::getSpriteIcon('actions-document-open') . 
 						'</a>';
 				}
 			}
 
 			// History/Log
 			$actionLinks.=
-				'<a href="'.htmlspecialchars($this->doc->backPath.'show_rechis.php?element='.rawurlencode($table.':'.$uid).'&returnUrl='.rawurlencode(t3lib_div::getIndpEnv('REQUEST_URI'))).'">'.
-				'<img'.t3lib_iconWorks::skinImg($this->doc->backPath,'gfx/history2.gif','width="13" height="12"').' title="' . $LANG->getLL('img_title_show_log') . '" alt="" />'.
+				'<a href="'.htmlspecialchars($this->doc->backPath.'show_rechis.php?element='.rawurlencode($table.':'.$uid).'&returnUrl='.rawurlencode(t3lib_div::getIndpEnv('REQUEST_URI'))).'" title="' . $LANG->getLL('img_title_show_log') . '">'.
+				  t3lib_iconWorks::getSpriteIcon('gfx/history2.gif') . 
 				'</a>';
 		}
 
@@ -1206,7 +1206,7 @@ class wslib_gui {
 		if ($table==='pages')	{
 			$actionLinks.=
 				'<a href="#" onclick="'.htmlspecialchars(t3lib_BEfunc::viewOnClick($uid,$this->doc->backPath,t3lib_BEfunc::BEgetRootLine($uid))).'">'.
-				'<img'.t3lib_iconWorks::skinImg($this->doc->backPath,'gfx/zoom.gif','width="12" height="12"').' title="" alt="" />'.
+				  t3lib_iconWorks::getSpriteIcon('actions-document-view') . 
 				'</a>';
 		}
 
@@ -1269,8 +1269,8 @@ class wslib_gui {
 			' return false;';
 			// Reject:
 			$actionLinks.=
-			'<a href="#" onclick="'.htmlspecialchars($onClick).'">'.
-			'<img'.t3lib_iconWorks::skinImg($this->doc->backPath,'gfx/down.gif','width="14" height="14"').' alt="" align="top" title="'.$LANG->getLL('label_reject').'" />'.
+			'<a href="#" onclick="'.htmlspecialchars($onClick).'"title="'.$LANG->getLL('label_reject').'"> '.
+			  t3lib_iconWorks::getSpriteIcon('actions-move-down') . 
 			'</a>';
 		} else {
 			// Reject:
@@ -1291,8 +1291,8 @@ class wslib_gui {
 			' return false;';
 			if ($rec_off['t3ver_stage']!=10)	{
 				$actionLinks.=
-				'<a href="#" onclick="'.htmlspecialchars($onClick).'">'.
-				'<img'.t3lib_iconWorks::skinImg($this->doc->backPath,'gfx/up.gif','width="14" height="14"').' alt="" align="top" title="'.htmlspecialchars($titleAttrib).'" />'.
+				'<a href="#" onclick="'.htmlspecialchars($onClick).'" title="'.htmlspecialchars($titleAttrib).'">'.
+				  t3lib_iconWorks::getSpriteIcon('actions-move-up') . 
 				'</a>';
 
 				$this->stageIndex[$sId][$table][] = $rec_off['uid'];
diff --git a/typo3/mod/user/ws/index.php b/typo3/mod/user/ws/index.php
index b431222..d86fe97 100755
--- typo3/mod/user/ws/index.php
+++ typo3/mod/user/ws/index.php
@@ -251,8 +251,8 @@ class SC_mod_user_ws_index extends t3lib_SCbase {
 		$this->doc->setModuleTemplate('templates/ws.html');
 
 			// JavaScript
-		$plusIcon = t3lib_iconWorks::skinImg($BACK_PATH, 'gfx/ol/plusbullet.gif', 'width="18" height="16"', 1);
-		$minusIcon = t3lib_iconWorks::skinImg($BACK_PATH, 'gfx/ol/minusbullet.gif', 'width="18" height="16"', 1);
+		$plusIcon = t3lib_iconWorks::getSpriteIcon('actions-view-table-expand');
+		$minusIcon = t3lib_iconWorks::getSpriteIcon('actions-view-table-collapse');
 		$this->doc->JScode = $this->doc->wrapScriptTags('
 			script_ended = 0;
 			function jumpToUrl(URL)	{	//
@@ -599,7 +599,7 @@ class SC_mod_user_ws_index extends t3lib_SCbase {
 				// row #1, column #1: expand icon
 			$content .= '<td>' .
 						'<a href="javascript:expandCollapse(' . $rowNum . ')">' .
-						'<img ' . t3lib_iconWorks::skinImg($BACK_PATH, 'gfx/ol/plusbullet.gif', 'width="18" height="16"') . ' id="wl_' . $rowNum . 'i" border="0" hspace="1" alt="' . $LANG->getLL('img_title_show_more') . '" />' .
+						t3lib_iconWorks::getSpriteIcon('actions-view-tables-expand', $LANG->getLL('img_title_show_more')) .
 						'</a></td>';
 
 				// row #1, column #2: icon panel
@@ -747,8 +747,7 @@ class SC_mod_user_ws_index extends t3lib_SCbase {
 				if (!$isAdmin && !in_array($mp['uid'], $userMPs)) {
 					// Show warning icon
 					$title = $GLOBALS['LANG']->getLL('workspace_list_mount_point_inaccessible');
-					$str = '<img ' . t3lib_iconWorks::skinImg($GLOBALS['BACK_PATH'], 'gfx/icon_warning.gif', 'width="18" height="16"') .
-							' alt="' . $title . '" title="' . $title . '" align="absmiddle" />';
+					$str = t3lib_iconWorks::getSpriteIcon('status-warning');
 					$classAttr = 'class="ver-wl-mp-inacessible" ';
 				}
 				else {
@@ -800,8 +799,7 @@ class SC_mod_user_ws_index extends t3lib_SCbase {
 				if (!$isAdmin && !in_array($mp['uid'], $userMPs)) {
 					// Show warning icon
 					$title = $GLOBALS['LANG']->getLL('workspace_list_mount_point_inaccessible');
-					$str = '<img ' . t3lib_iconWorks::skinImg($GLOBALS['BACK_PATH'], 'gfx/icon_warning.gif', 'width="18" height="16"') .
-							' alt="' . $title . '" title="' . $title . '" align="absmiddle" />';
+					$str = t3lib_iconWorks::getSpriteIcon('status-warning');
 					$classAttr = 'class="ver-wl-mp-inacessible" ';
 				}
 				else {
@@ -982,9 +980,9 @@ class SC_mod_user_ws_index extends t3lib_SCbase {
 				// User can modify workspace parameters, display corresponding link and icon
 			$editUrl = 'workspaceforms.php?action=edit&amp;wkspId=' . $wksp['uid'];
 
-			$content .= '<a href="' . $editUrl . '" />' .
-					'<img ' . t3lib_iconWorks::skinImg($BACK_PATH, 'gfx/edit2.gif', 'width="11" height="12"') . ' border="0" alt="' . $LANG->getLL('workspace_list_icon_title_edit_workspace') . '" align="middle" hspace="1" />' .
-					'</a>';
+			$content .= '<a href="' . $editUrl . '" title="'. $LANG->getLL('workspace_list_icon_title_edit_workspace') .'"/>' .
+					t3lib_iconWorks::getSpriteIcon('actions-document-open') .
+			'</a>';
 		} else {
 				// User can NOT modify workspace parameters, display space
 				// Get only withdth and height from skinning API
@@ -997,8 +995,8 @@ class SC_mod_user_ws_index extends t3lib_SCbase {
 				// Workspace switching button
 			$content .= '<a href="' .
 					t3lib_div::getIndpEnv('SCRIPT_NAME') .
-					'?changeWorkspace=' . $wksp['uid'] . '"/>' .
-					'<img ' . t3lib_iconWorks::skinImg($BACK_PATH, 'gfx/switch.gif', 'width="11" height="10"') . ' border="0" alt="' . $LANG->getLL('workspace_list_icon_title_switch_workspace') . '" align="middle" hspace="1" />' .
+					'?changeWorkspace=' . $wksp['uid'] . '" title="'. $LANG->getLL('workspace_list_icon_title_switch_workspace') . '"/>' .
+					t3lib_iconWorks::getSpriteIcon('actions-version-swap-workspace') . 
 					'</a>';
 		} else {
 				// Current workspace: empty space instead of workspace switching button
diff --git a/typo3/mod/user/ws/workspaceforms.php b/typo3/mod/user/ws/workspaceforms.php
index 51f125c..7322614 100644
--- typo3/mod/user/ws/workspaceforms.php
+++ typo3/mod/user/ws/workspaceforms.php
@@ -179,8 +179,8 @@ class SC_mod_user_ws_workspaceForms extends t3lib_SCbase {
 			$this->content .= $LANG->getLL($this->isEditAction ? 'edit_workspace_no_permission' : 'create_workspace_no_permission');
 			$this->content .= $this->doc->spacer(5);
 			$goBack = $GLOBALS['LANG']->getLL('edit_workspace_go_back');
-			$this->content .= '<img ' . t3lib_iconWorks::skinImg($GLOBALS['BACK_PATH'], 'gfx/goback.gif', 'width="14" height="14"') . ' alt="' . $goBack . '" align="middle" hspace="2" />' .
-						'<a href="javascript:history.back()">' .
+			$this->content .= t3lib_iconWorks::getSpriteIcon('actions-go-back') .
+						'<a href="javascript:history.back()" title="'. $goBack . '">' .
 						$goBack .
 						'</a>';
 			$this->content .= $this->doc->endPage();
@@ -248,7 +248,7 @@ class SC_mod_user_ws_workspaceForms extends t3lib_SCbase {
 		);
 
 			// Close,  `n` below is simply to prevent caching
-		$buttons['close'] = '<a href="index.php?n=' . uniqid('wksp') . '"><img' . t3lib_iconWorks::skinImg($this->doc->backPath, 'gfx/closedok.gif') . ' class="c-inputButton" title="' . $LANG->sL('LLL:EXT:lang/locallang_core.php:rm.closeDoc', 1) . '" alt="" /></a>';
+		$buttons['close'] = '<a href="index.php?n=' . uniqid('wksp') . '" title="' . $LANG->sL('LLL:EXT:lang/locallang_core.php:rm.closeDoc', 1) . '">' . t3lib_iconWorks::getSpriteIcon('actions-document-close') . '</a>';
 			// Save
 		$buttons['save'] = '<input type="image" class="c-inputButton" name="_savedok"' . t3lib_iconWorks::skinImg($this->doc->backPath, 'gfx/savedok.gif') . ' title="' . $LANG->sL('LLL:EXT:lang/locallang_core.php:rm.saveDoc', 1) . '" value="_savedok" />';
 			// Save & Close
